#### D.13.6.24 radicalMemberShip

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  radicalMemberShip (f,i); f poly, i ideal

Return:
  int, 1 if f is in the radical of i, 0 else

Example:

    LIB "tropical.lib";
    ring r=0,(x,y),dp;
    ideal i=(x+1)*y2;
    // y is NOT in the radical of i
    radicalMemberShip(y,i);
    ring rr=0,(x,y),ds;
    ideal i=(x+1)*y2;
    // since this time the ordering is local, y is in the radical of i
    radicalMemberShip(y,i);

User manual for Singular version 4.4.1, 2025, generated by texi2html.